Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357191 - [abrt] surf: _XInternAtom(): surf killed by SIGSEGV
Summary: [abrt] surf: _XInternAtom(): surf killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: surf
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5d5bfad84aa6a84626a7cf9c615...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-16 08:26 UTC by Peter
Modified: 2017-08-08 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:38:29 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-16 08:26 UTC, Peter
no flags Details
File: cgroup (deleted)
2016-07-16 08:26 UTC, Peter
no flags Details
File: core_backtrace (deleted)
2016-07-16 08:26 UTC, Peter
no flags Details
File: dso_list (deleted)
2016-07-16 08:26 UTC, Peter
no flags Details
File: environ (deleted)
2016-07-16 08:26 UTC, Peter
no flags Details
File: exploitable (deleted)
2016-07-16 08:26 UTC, Peter
no flags Details
File: limits (deleted)
2016-07-16 08:26 UTC, Peter
no flags Details
File: maps (deleted)
2016-07-16 08:26 UTC, Peter
no flags Details
File: mountinfo (deleted)
2016-07-16 08:26 UTC, Peter
no flags Details
File: namespaces (deleted)
2016-07-16 08:26 UTC, Peter
no flags Details
File: open_fds (deleted)
2016-07-16 08:26 UTC, Peter
no flags Details
File: proc_pid_status (deleted)
2016-07-16 08:26 UTC, Peter
no flags Details
File: var_log_messages (deleted)
2016-07-16 08:26 UTC, Peter
no flags Details

Description Peter 2016-07-16 08:26:00 UTC
Description of problem:
When trying to fix the bug, that Mapquest Map is not displayed any more in Gnome Maps, I entered the following command:

surf -a @ https://osm.org

Version-Release number of selected component:
surf-0.7-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        surf -a @ https://osm.org
crash_function: _XInternAtom
executable:     /usr/bin/surf
global_pid:     4193
kernel:         4.6.3-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 _XInternAtom at IntAtom.c:84
 #1 XInternAtom at IntAtom.c:175
 #2 setup at surf.c:1311

Comment 1 Peter 2016-07-16 08:26:05 UTC
Created attachment 1180373 [details]
File: backtrace

Comment 2 Peter 2016-07-16 08:26:06 UTC
Created attachment 1180374 [details]
File: cgroup

Comment 3 Peter 2016-07-16 08:26:08 UTC
Created attachment 1180375 [details]
File: core_backtrace

Comment 4 Peter 2016-07-16 08:26:09 UTC
Created attachment 1180376 [details]
File: dso_list

Comment 5 Peter 2016-07-16 08:26:11 UTC
Created attachment 1180377 [details]
File: environ

Comment 6 Peter 2016-07-16 08:26:12 UTC
Created attachment 1180378 [details]
File: exploitable

Comment 7 Peter 2016-07-16 08:26:14 UTC
Created attachment 1180379 [details]
File: limits

Comment 8 Peter 2016-07-16 08:26:16 UTC
Created attachment 1180380 [details]
File: maps

Comment 9 Peter 2016-07-16 08:26:17 UTC
Created attachment 1180381 [details]
File: mountinfo

Comment 10 Peter 2016-07-16 08:26:19 UTC
Created attachment 1180382 [details]
File: namespaces

Comment 11 Peter 2016-07-16 08:26:20 UTC
Created attachment 1180383 [details]
File: open_fds

Comment 12 Peter 2016-07-16 08:26:22 UTC
Created attachment 1180384 [details]
File: proc_pid_status

Comment 13 Peter 2016-07-16 08:26:23 UTC
Created attachment 1180385 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-07-25 21:50:08 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 15:38:29 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.